Bug 101574 - /usr/lib/sa/sa2 sometimes tries to remove /var/log/sa
/usr/lib/sa/sa2 sometimes tries to remove /var/log/sa
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
7.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Charlie Bennett
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-04 05:25 EDT by Karl-Olov Serrander
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 11:17:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karl-Olov Serrander 2003-08-04 05:25:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
If the machine has been down for some time (a week or so) the
mod-time for /var/log/sa is older than 7 days so the find-command in
/usr/lib/sa/sa2 tries to remove /var/log/sa which gives a mail from cron to
handle. Adding "-type f" to the find-command solves the problem. The problem
exists in all newer versions of sysstat including
4.1.5. I have sent a mail to the author (al_jimenez@anadarko.com) about this
problem.

Version-Release number of selected component (if applicable):
sysstat-4.03-2

How reproducible:
Always

Steps to Reproduce:
1. Touch /var/log/sa with a date older than 1 week
2. run /usr/lib/sa/sa2
3.
    

Additional info:
Comment 1 Karl-Olov Serrander 2003-10-02 05:59:29 EDT
I wrongly reported this as a bug in 7.3, it was a bug in 7.1 and is fixed in 7.3
Comment 2 Nils Philippsen 2004-01-13 11:17:59 EST
Closing as CURRENTRELEASE for housekeeping purposes.

Note You need to log in before you can comment on or make changes to this bug.